QGIS Application - Bug report #15269

SQLite: All attributes are displayed as NULL in attribute panel

2016-07-13 03:16 AM - Casper Bargesen

Status: Feedback
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:master

Operating System: windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23205

Description

| have a case with a SQLite dataset containing two layers. A line layer and a polygon layer. Both layers have attributes with values. | have

opened both layers in QGIS.

- When performing a identify features on features in the two layers the result looks fine.

- When opening the Attribute Panel on either of the layers all values are NULL.

| would expect the Attribute Panelto display the correct attribute values of all the features and not just a collection of NULL's.

| produced this in MASTER (3d72837) using the attached SQLite test dataset. | have also reproduced this in 2.14.1.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2019-03-09 04:27 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
